Package ru.bitel.common.model

# Class AbstractTreeNode<N extends AbstractTreeNode<N>>

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.common.model.AbstractTreeNode<N>

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<N>`, `TreeNode<N>`

Direct Known Subclasses:
  `Domain`, `InetOption`, `InetServ`, `IpCategory`, `PhoneCategory`, `TvAccount`, `VlanCategory`, `VoiceBaseCodeBean`

public abstract class AbstractTreeNode<N extends AbstractTreeNode<N>> extends Entity implements Node<N>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<N>`
  `children`
  `protected int`
  `parentId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractTreeNode()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<N>`
  `getChildren()`
  `int`
  `getParentId()`
  `void`
  `setChildren(List<N> children)`
  `void`
  `setParentId(int parentId)`
  `List<N>`
  `toList()`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### parentId

    protected int parentId

  - ### children

    protected List<N extends AbstractTreeNode<N>> children

- ## Constructor Details

  - ### AbstractTreeNode

    public AbstractTreeNode()

- ## Method Details

  - ### getChildren

    public List<N> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<N extends AbstractTreeNode<N>>`

  - ### setChildren

    public void setChildren(List<N> children)
    Specified by:
      `setChildren` in interface `Node<N extends AbstractTreeNode<N>>`

  - ### getParentId

    public int getParentId()
    Specified by:
      `getParentId` in interface `Node<N extends AbstractTreeNode<N>>`

  - ### setParentId

    public void setParentId(int parentId)

  - ### toList

    public List<N> toList()